Status: Chiuso Start date: 04/21/2017
Priority: Alta Due date:

Assignee: Paolo Baratta % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Sono in ambiente VirtualBox

Dopo aver installato un client collegato direttamente ad internet (scheda bridged verso la WAN del centro servizi), I'ho inserito nella
rete interna virtuale affaciata su quella del server. Ho lanciato il fuss-client -a una prima volta. Mi & stata chiesta due volte una
password (ho fornito quella del server) e la configurazione & proseguita, mostrando alla fine un solo "failed" relativo a localhost e
kerberos (il testo dell'errore & molto lungo). Ho lanciato un fuss-client -r e di nuovo un fuss-client -a e la configurazione ¢ andata a
buon fine senza errori. Ho creato un account sul server, ma il login non va a buon fine. Allego il contenuto di syslog e auth.log.

Related issues:

Related to fuss-client - Segnalazione #269: problema con fuss-client Chiuso 05/23/2017
Related to fuss-client - Segnalazione #262: fuss-client -a/ cant discover d... Risolto 05/18/2017
History

#1 - 04/26/2017 07:52 AM - Paolo Baratta

- Assignee set to Paolo Dongilli

#2 - 04/27/2017 02:15 PM - Paolo Baratta
- Assignee changed from Paolo Dongilli to TRUELITE

#3 - 04/27/2017 02:42 PM - Elena Grandi
- Assignee changed from TRUELITE to Elena Grandi

#4 - 04/28/2017 11:12 AM - Elena Grandi

- Status changed from Nuovo to In elaborazione

#5 - 04/28/2017 11:36 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Baratta

Purtroppo € molto importante sapere in cosa consista quell'errore, o almeno almeno la prima riga che comincia con TASK [kerberos:.

Ho il sospetto che ci sia fuss-client -r che non pulisce correttamente qualche parte della configurazione, che quindi non viene rieseguita dal secondo
fuss-server -a, ma senza sapere quale task sia fallito non riesco a capire cosa possa essere stato. (e ovviamente, riprovando localmente anche da
installazione pulita non I'ho riprodotto, e quindi non posso scoprirlo da qui).

Confermo invece che sia corretto dare la password del server quando viene chiesta (e si, viene chiesta per due volte): questo serve per assicurarsi
che il client che si sta installando sia "legittimo" (ovvero abbia davvero diritto di accedere alle home del server)

#6 - 05/02/2017 09:58 AM - Paolo Baratta

- Assignee changed from Paolo Baratta to Elena Grandi
Buon giorno.

Poco fa ho rifatto da zero l'installazione di un client e questa volta fuss-cient -a & andato a buon fine senza errori. Ho testato inoltre: login,
navigazione internet, creazione/eliminazione cartelle nella home. Tutto OK!

Proseguo con i test.

#7 - 05/02/2017 11:42 AM - Elena Grandi
- Status changed from In elaborazione to Commenti
- Assignee changed from Elena Grandi to Paolo Baratta

- Priority changed from Normale to Bassa

Lascio il ticket aperto (a priorita bassa) per aggiungere info nel caso in cui succeda di nuovo, cosi lo si pud indagare.

#8 - 05/15/2017 11:27 AM - Paolo Baratta
- Assignee changed from Paolo Baratta to Elena Grandi

- Priority changed from Bassa to Alta

Salve. Ho ricreato un nuovo client e, anche questa volta ho riscontrato lo stesso problema dopo aver lanciato il comando "fuss-client -a". Il
comportamento si € poi ripetuto, tale e quale, come descritto nell'apertura del ticket: ho lanciato "fuss-client -r", poi fuss-client -a" e questa seconda
volta il processo & andato a buon fine.

Qui sotto si trova il messaggio d'errore ottenuto dopo aver lanciato "fuss-client -a" la prima volta.

TASK [homes : Preseed kerberos server]
fatal: [localhost]: FAILED! => {"failed": true, "msg": "the field 'args' has an invalid value, which appears to include a variable that is undefined. The
error was: 'dict object' has no attribute 'domain'\n\nThe error appears to have been in '/usr/share/fuss-client/roles/homes/tasks/main.yml': line 54,
column 3, but may\nbe elsewhere in the file depending on the exact syntax problem.\n\nThe offending line appears to be:\n\n when: not
st.stat.exists\n- name: Preseed kerberos server\n * here\n"}

RUNNING HANDLER [network : restart networking] **
changed: [localhost]
to retry, use: --limit @/usr/share/fuss-client/connect.retry

PLAY RECAP
localhost :0k=36 changed=14 unreachable=0 failed=1

#9 - 05/15/2017 12:09 PM - Elena Grandi

- Status changed from Commenti to In elaborazione
#10 - 05/15/2017 12:31 PM - Elena Grandi

- Status changed from In elaborazione to Commenti

- Assignee changed from Elena Grandi to Paolo Baratta

Ho ancora un po' di domande per cercare di capire la situazione.

Con "questa seconda volta il processo & andato a buon fine" significa che dopo la seconda volta il login e tutto quanto funzionano?
Questa volta prima di fallire non ha chiesto le password, vero? temo che questo significhi che si & trattato di un errore diverso da quello della volta
precedente.

Tra la volta in cui la run ha fallito e quella in cui ha funzionato € stato cambiato qualcosa sulla rete? in particolare, rifatte richieste dhcp?

#11 - 05/15/2017 02:51 PM - Elena Grandi

Intanto ho fatto qualche modifica a fuss-client per gestire un po' meglio il caso di questo possibile errore. Aspetto a pubblicare la modifica quando c'e
anche soluzione per il resto dei problemi qui individuati.

#12 - 05/16/2017 08:23 AM - Paolo Baratta

Buon giorno.

Il client & stato creato da questa iso: fuss-client-full-jessie-i386-201705081051.iso

1.Confermo."Questa seconda volta il processo € andato a buon fine" significa che dopo la seconda volta il login e tutto quanto funzionavano. Si tratta
perd ovviamente di un "tutto quanto" non assoluto. Ho provato: login, logout, caricamento home, gestione quote, autenticazione e navigazione
internet. Non ho ancora testato altre funzioni, ma se serve, sono a disposizione.

2. Confermo che il fallimento si & verificato prima della richiesta di password, che € invece avvenuta dopo il secondo "fuss-client -a", lanciato dopo un
"fuss-client -r".

3. Se per "e stato cambiato qualcosa sulla rete" si intende modifiche della configurazione di rete, confermo che dopo il primo fuss-client -a, da parte
mia, non sono state apportate modifiche.

#13 - 05/23/2017 02:24 PM - Christopher R. Gabriel

- Related to Segnalazione #269: problema con fuss-client added

#14 - 05/24/2017 11:59 AM - Elena Grandi

- Related to Segnalazione #262: fuss-client -a / cant discover domain / added

#15 - 05/24/2017 12:02 PM - Elena Grandi

Ho notato che questo problema & stato segnalato da piu ticket; dal punto di vista fuss-client nel frattempo & stata pubblicata una modifica con
messaggio di errore credo piu comprensibile e suggerimento di workaround.

La cosa potrebbe dipendere sia da configurazioni non prevedibili della rete (motivo per cui esiste il workaround) che da un bug (nel caso sospetto di
fuss-server): per indagare propongo di chiudere questo ticket e proseguire su #262 che ha un titolo piu riconoscibile.

#16 - 05/25/2017 08:12 AM - Paolo Baratta

Sono d'accordo di chiudere e proseguire col #262

#17 - 05/25/2017 08:17 AM - Paolo Baratta

- Assignee changed from Paolo Baratta to Elena Grandi

Sono d'accordo di chiudere e proseguire col #262

#18 - 05/25/2017 09:25 AM - Paolo Dongilli

- Assignee changed from Elena Grandi to Paolo Baratta

Paolo, ti ho riassegnato il ticket cosi lo puoi chiudere.
#19 - 05/26/2017 10:29 AM - Paolo Baratta

- Status changed from Commenti to Chiuso

Come richiesto, chiudo il ticket per proseguire su 262

Files

authlog.txt 1.03 KB 04/21/2017 Paolo Baratta

syslog.txt 2.36 KB 04/21/2017 Paolo Baratta
